PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_cancelrequest

## Name

pg_cancelrequest -- request that PostgreSQL abandon processing of the current command

## Synopsis

    pg_cancelrequest conn

## Description

`pg_cancelrequest` requests that the processing of the current command be abandoned.

## Arguments

conn

  The handle of a connection to the database in which the large object exists.

## Return Value

Returns nothing if the command was successfully dispatched or if no query was being processed. Otherwise, returns an error.

Prev | Home | Next
pg_blocking | Up | pg_null_value_string